Subject: bug#37723: Apropos Hyperbole key series in DEMO is not pressing final return

From: "Kevin J. McCarthy" <[email-masked]>
Date: Sun, 13 Oct 2019 11:41:01 +0800

I use:  Editor:      GNU Emacs 26.1 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.4)

         Hyperbole:   7.0.7
         Sys Type:    x86_64-pc-linux-gnu
         OS Type:     gnu/linux
         Window Sys:  x
         News Reader: Gnus v5.13

This might be quirks of my environment, but I'm reporting various little
issues just in case.

In the DEMO, under
* Implicit Buttons
** Key Series Buttons

The multiline key series:  {M-x apropos
RET hyperbole RET} is not pressing the final return for me.  The prompt
   Search for symbol (word list or regexp): hyperbole
is in the minibuffer and I need to press return myself.

If I put it on one line the behavior is the same:
{M-x apropos RET hyperbole RET}

If I change it to
{M-x apropos RET hyperbole RET i}
the hyperbole apropos page comes up, and  the minibuffer displays the
error "i is undefined".

Again, I use exwm as well as counsel/swiper/ivy.  There may be a strange
interaction there, but running it outside of exwm (from console) gives
me the same behavior.

Thank you,

-Kevin